<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
	<f:section name="Default">

		<f:variable name="price" value="{product.priceWithTaxAsFloat}" />
		<f:if condition="{settings.basket.displayType} == 'b2b'">
			<f:variable name="price" value="{product.priceAsFloat}" />
		</f:if>

		<f:comment>
			Attention:
			Sort by price data attribute is only visible, when price section is visible too.
			Otherwise a price might be visible, when we doesn't present any prices!
		</f:comment>

		<f:for each="{settings.list.item.elements}" as="element">
			<f:if condition="{element} == 'Image'">

				<div class="{settings.list.css.class.itemImageWrapper}">
					<f:if condition="{f:count(subject: product.imagesPreviewOnly)}">
						<f:then>
							<f:for each="{product.imagesPreviewOnly}" as="image" iteration="itemIteration">
								<f:if condition="{itemIteration.isFirst}">
									<f:link.action action="show" arguments="{product : product}"
												   pageUid="{settings.detail.defaultPid}"
												   title="{product.title}"
												   class="{settings.list.css.class.itemLink}">
										<f:image src="{image.uid}" treatIdAsReference="1"
												 maxWidth="{settings.list.image.width}"
												 maxHeight="{settings.list.image.height}"
												 alt="{product.title}" title="{product.title}"
												 class="{settings.list.css.class.itemImage}" cropVariant="list-item" />
									</f:link.action>
								</f:if>
							</f:for>
						</f:then>
						<f:else>
							<f:link.action action="show" arguments="{product : product}"
										   pageUid="{settings.detail.defaultPid}"
										   title="{product.title}"
										   class="{settings.list.css.class.itemLink}">
								<f:image src="{settings.list.image.default}"
										 maxWidth="{settings.list.image.width}"
										 maxHeight="{settings.list.image.height}"
										 alt="{product.title}" title="{product.title}"
										 class="{settings.list.css.class.itemImage}" cropVariant="list-item" />
							</f:link.action>
						</f:else>
					</f:if>
				</div>

			</f:if>
		</f:for>

		<div class="{settings.list.css.class.itemInner}">
			<f:for each="{settings.list.item.elements}" as="element">
				<f:switch expression="{element}">
					<f:case value="Title">
						<h2 class="{settings.list.css.class.itemTitle}">
							<f:link.action action="show" arguments="{product : product}"
										   pageUid="{settings.detail.defaultPid}"
										   title="{f:translate(key: 'tx_shop_label.show_product_title')} {product.title}"
										   class="{settings.list.css.class.itemTitleLink}">{product.title}</f:link.action>
						</h2>
					</f:case>
					<f:case value="SubTitle">
						<h3 class="{settings.list.css.class.itemSubtitle}">{product.subtitle}</h3>
					</f:case>
					<f:case value="Teaser">
						<div class="{settings.list.css.class.itemTeaserWrapper}">
							<f:format.html>{product.teaser}</f:format.html>
						</div>
					</f:case>
					<f:case value="Tags">
						<div class="{settings.list.css.class.itemTagsWrapper}">
							<f:if condition="{f:count(subject: product.tags)}">
								<f:for each="{product.tags}" as="tag">
									<span class="{settings.list.css.class.itemTagsValue}{tag.variant}"
										  title="{tag.tooltipText}"
										  data-bs-title="{tag.tooltipText}"
										  data-bs-toggle="tooltip"
										  data-bs-placement="top">{tag.title}</span>
								</f:for>
							</f:if>
						</div>
					</f:case>
					<f:case value="Categories">
						<div class="{settings.list.css.class.itemCategpriesWrapper}">
							<p class="{settings.list.css.class.itemCategpriesLabel}"><f:translate key="tx_shop_label.category" /></p>
							<p class="{settings.list.css.class.itemCategpriesValue}">
								{product.categoriesString}
							</p>
						</div>
					</f:case>
					<f:case value="Price">
						<div class="{settings.list.css.class.itemPriceWrapper}">
							<p class="{settings.list.css.class.itemPriceLabel}"><f:translate key="tx_shop_label.price" /></p>
							<h3 class="{settings.list.css.class.itemPriceValue}" data-isotope-sortby-price="{product.price}">
								<f:render partial="Price" arguments="{settings: settings, price: price}" />
							</h3>
						</div>
					</f:case>
					<f:case value="PriceAndDetailButton">
						<div class="{settings.list.css.class.itemPriceAndDetailButtonWrapper}">
							<div>
								<p class="{settings.list.css.class.itemPriceLabel}"><f:translate key="tx_shop_label.price" /></p>
								<h3 class="{settings.list.css.class.itemPriceValue}" data-isotope-sortby-price="{product.price}">
									<f:render partial="Price" arguments="{settings: settings, price: price}" />
								</h3>
							</div>
							<f:render partial="Buttons/Details" section="Default" arguments="{_all}" />
						</div>
					</f:case>
					<f:case value="BookmarkButton">
						<div class="{settings.list.css.class.itemBookmarkButtonWrapper}">
							<f:render partial="Buttons/Bookmarks" section="Default" arguments="{_all}" />
						</div>
					</f:case>
					<f:case value="DetailButton">
						<div class="{settings.list.css.class.itemDetailButtonWrapper}">
							<f:render partial="Buttons/Details" section="Default" arguments="{_all}" />
						</div>
					</f:case>
					<f:case value="BasketButton">
						<div class="{settings.list.css.class.itemBasketButtonWrapper}">
							<f:render partial="Buttons/AddToBasket" section="Default" arguments="{_all}" />
						</div>
					</f:case>

				</f:switch>
			</f:for>
		</div>

	</f:section>
</div>
